Subject: Re: recursive rm and ls don't work (Win98)
From: "fergus at bonhard dot uklinux dot net" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Mon, 4 Mar 2002 12:59:52 -0000

>    rm -rf *.~*
>    ls -r *.~*
>    ls -r *.pas
> However,
>    ls -r *
> works

The rm report ("it doesn't work") is strange. I guess it's a bit scary to
risk trying rm -r or even rm -rv, depending on how rm is aliased for you
(with or without -i?). Why not just

    cp -vr {important directory with subdirectories} ~/mytmp

and then try rm -rv mytmp and see what happens?

Your ls report isn't strange, or doesn't seem strange to me. The -r switch
determines the order in which the folders are listed; to get a recursive
listing try ls -R. So I can't quite think what you mean by "ls -r * works"
because I don't think this should list the contents of subdirectories?

Fergus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/